## net.sf.saxon.expr
Class ContinueInstr

    java.lang.Object
      net.sf.saxon.expr.Expression
          net.sf.saxon.instruct.Instruction
              net.sf.saxon.expr.ContinueInstr

All Implemented Interfaces:
  java.io.Serializable, javax.xml.transform.SourceLocator, LocationProvider, SaxonLocator, EvaluableItem, SequenceIterable, TailCallReturner, InstructionInfo, org.xml.sax.Locator

    public class ContinueInstr

extends Instruction

See Also:
  Serialized Form

Field Summary
`static StructuredQName` `SAXON_CONTINUE`

Fields inherited from class net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, locationId, PROCESS_METHOD, staticProperties`

Constructor Summary
`ContinueInstr(IterateInstr iterateInstr)`

Method Summary
`Expression` `copy()` Copy an expression.
`void` `explain(ExpressionPresenter out)` Diagnostic print of expression structure.
`java.util.Iterator` `iterateSubExpressions()` Get the immediate sub-expressions of this expression.
`TailCall` `processLeavingTail(XPathContext context)` ProcessLeavingTail: called to do the real work of this instruction.
`void` `setParameters(WithParam[] actualParams)`
`Expression` `simplify(ExpressionVisitor visitor)` Simplify an expression.

Methods inherited from class net.sf.saxon.instruct.Instruction
`assembleParams, assembleTunnelParams, computeCardinality, computeSpecialProperties, createsNewNodes, dynamicError, evaluateAsString, evaluateItem, getConstructType, getImplementationMethod, getInstructionNameCode, getItemType, getSourceLocator, isXSLT, iterate, process, promote, promoteInst`

Methods inherited from class net.sf.saxon.expr.Expression

`addToPathMap, adoptChildExpression, checkForUpdatingSubexpressions, checkPermittedContents, computeDependencies, computeStaticProperties, display, doPromotion, dynamicError, effectiveBooleanValue, evaluatePendingUpdates, explain, findParentOf, getCardinality, getColumnNumber, getColumnNumber, getContainer, getDependencies, getExecutable, getHostLanguage, getIntrinsicDependencies, getLineNumber, getLineNumber, getLocationId, getLocationProvider, getObjectName, getProperties, getProperty, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, getSystemId, hasLoopingSubexpression, implementsStaticTypeCheck, isUpdatingExpression, iterateEvents, markTailFunctionCalls, optimize, replaceSubExpression, resetLocalStaticProperties, setContainer, setFiltered, setFlattened, setLocationId, staticTypeCheck, suppressValidation, toString, typeCheck, typeError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.transform.SourceLocator
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Field Detail

### SAXON_CONTINUE

    public static StructuredQName SAXON_CONTINUE

Constructor Detail

### ContinueInstr

    public ContinueInstr(IterateInstr iterateInstr)

Method Detail

### setParameters

    public void setParameters(WithParam[] actualParams)

### iterateSubExpressions

    public java.util.Iterator iterateSubExpressions()

  Description copied from class: `Expression`
  Get the immediate sub-expressions of this expression. Default implementation returns a zero-length array, appropriate for an expression that has no sub-expressions.

  Overrides:
    `iterateSubExpressions` in class `Expression`
  Returns:
    an iterator containing the sub-expressions of this expression

### processLeavingTail

    public TailCall processLeavingTail(XPathContext context)
                                throws XPathException

  Description copied from class: `Instruction`
  ProcessLeavingTail: called to do the real work of this instruction. This method must be implemented in each subclass. The results of the instruction are written to the current Receiver, which can be obtained via the Controller.

  Specified by:
    `processLeavingTail` in interface `TailCallReturner`
  Specified by:
    `processLeavingTail` in class `Instruction`
  Parameters:
    `context` - The dynamic context of the transformation, giving access to the current node, the current variables, etc.
  Returns:
    null if the instruction has completed execution; or a TailCall indicating a function call or template call that is delegated to the caller, to be made after the stack has been unwound so as to save stack space.
  Throws:
    `XPathException`

### simplify

    public Expression simplify(ExpressionVisitor visitor)
                        throws XPathException

  Description copied from class: `Instruction`
  Simplify an expression. This performs any static optimization (by rewriting the expression as a different expression). The default implementation does nothing.

  Specified by:
    `simplify` in class `Instruction`
  Parameters:
    `visitor` - an expression visitor
  Returns:
    the simplified expression
  Throws:
    `XPathException` - if an error is discovered during expression rewriting

### copy

    public Expression copy()

  Description copied from class: `Expression`
  Copy an expression. This makes a deep copy.

  Specified by:
    `copy` in class `Expression`
  Returns:
    the copy of the original expression

### explain

    public void explain(ExpressionPresenter out)

  Description copied from class: `Expression`
  Diagnostic print of expression structure. The abstract expression tree is written to the supplied output destination.

  Specified by:
    `explain` in class `Expression`
  Parameters:
    `out` - the expression presenter used to display the structure

Copyright (c) Saxonica Limited. All rights reserved.